<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class CertChain extends \Google\Protobuf\Internal\Message
{
    


    protected $leaf = null;
    


    protected $intermediate = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getLeaf()
    {
        return $this->leaf;
    }

    public function hasLeaf()
    {
        return isset($this->leaf);
    }

    public function clearLeaf()
    {
        unset($this->leaf);
    }

    




    public function setLeaf($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\CertChain\NoiseCertificate::class);
        $this->leaf = $var;

        return $this;
    }

    



    public function getIntermediate()
    {
        return $this->intermediate;
    }

    public function hasIntermediate()
    {
        return isset($this->intermediate);
    }

    public function clearIntermediate()
    {
        unset($this->intermediate);
    }

    




    public function setIntermediate($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\CertChain\NoiseCertificate::class);
        $this->intermediate = $var;

        return $this;
    }

}

